package com.ruoyi.system.service.impl;

import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.function.Function;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TdExamnumMapper;
import com.ruoyi.system.domain.TdExamnum;
import com.ruoyi.system.service.ITdExamnumService;
import com.ruoyi.common.core.text.Convert;

/**
 * 考试结果Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-10
 */
@Service
public class TdExamnumServiceImpl extends ServiceImpl<TdExamnumMapper,TdExamnum> implements ITdExamnumService
{
    @Autowired
    private TdExamnumMapper tdExamnumMapper;

    /**
     * 查询考试结果
     * 
     * @param id 考试结果主键
     * @return 考试结果
     */
    @Override
    public TdExamnum selectTdExamnumById(Long id)
    {
        return tdExamnumMapper.selectTdExamnumById(id);
    }

    /**
     * 查询考试结果列表
     * 
     * @param tdExamnum 考试结果
     * @return 考试结果
     */
    @Override
    public List<TdExamnum> selectTdExamnumList(TdExamnum tdExamnum)
    {
        return tdExamnumMapper.selectTdExamnumList(tdExamnum);
    }

    /**
     * 新增考试结果
     * 
     * @param tdExamnum 考试结果
     * @return 结果
     */
    @Override
    public int insertTdExamnum(TdExamnum tdExamnum)
    {
        return tdExamnumMapper.insertTdExamnum(tdExamnum);
    }

    /**
     * 修改考试结果
     * 
     * @param tdExamnum 考试结果
     * @return 结果
     */
    @Override
    public int updateTdExamnum(TdExamnum tdExamnum)
    {
        return tdExamnumMapper.updateTdExamnum(tdExamnum);
    }

    /**
     * 批量删除考试结果
     * 
     * @param ids 需要删除的考试结果主键
     * @return 结果
     */
    @Override
    public int deleteTdExamnumByIds(String ids)
    {
        return tdExamnumMapper.deleteTdExamnumByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除考试结果信息
     * 
     * @param id 考试结果主键
     * @return 结果
     */
    @Override
    public int deleteTdExamnumById(Long id)
    {
        return tdExamnumMapper.deleteTdExamnumById(id);
    }
}
